# Visualization
TKService
Aspect

# Aspect_FontMap Class Reference

This class defines a FontMap object.
.

`#include <Aspect_FontMap.hxx>`

## Public Member Functions

Standard_EXPORT | Aspect_FontMap ()
Standard_EXPORT void | AddEntry (const Aspect_FontMapEntry &AnEntry)
| Adds an entry in the font map <me>. Warning: Raises BadAccess if FontMap size is exceeded. .
Standard_EXPORT Standard_Integer | AddEntry (const Aspect_FontStyle &aStyle)
| Search an identical font style entry in the font map <me> and returns the FontMapEntry Index if exist. Or add a new entry and returns the computed FontMapEntry index used. .
Standard_EXPORT Standard_Integer | Size () const
| Returns the Allocated fontmap Size .
Standard_EXPORT Standard_Integer | Index (const Standard_Integer aFontmapIndex) const
| Returns the FontMapEntry.Index of the FontMap at rank <afontmapindex> . .
Standard_EXPORT void | Dump () const
Standard_EXPORT Aspect_FontMapEntry | Entry (const Standard_Integer AnIndex) const
| Returns the Font map entry with the index <anindex>. Warning: Raises BadAccess if the index less than 1 or greater than Size. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Aspect_SequenceOfFontMapEntry | mydata

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_FontMap::Aspect_FontMap | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_FontMap::AddEntry | ( | const Aspect_FontStyle & | aStyle | ) |

Standard_EXPORT void Aspect_FontMap::AddEntry | ( | const Aspect_FontMapEntry & | AnEntry | ) |

Standard_EXPORT void Aspect_FontMap::Dump | ( |  | ) | const

Standard_EXPORT Aspect_FontMapEntry Aspect_FontMap::Entry | ( | const Standard_Integer | AnIndex | ) | const

Standard_EXPORT const Aspect_FontMap::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer Aspect_FontMap::Index | ( | const Standard_Integer | aFontmapIndex | ) | const

Standard_EXPORT Standard_Integer Aspect_FontMap::Size | ( |  | ) | const

## Field Documentation

Aspect_SequenceOfFontMapEntry Aspect_FontMap::mydata `[protected]`

The documentation for this class was generated from the following file:

- Aspect_FontMap.hxx